Subject: Re: bug#42162: gforge.inria.fr to be taken off-line in Dec. 2020

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 10 Jan 2021 14:32:00 -0500

Hello Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hello!
>
> The hosting site gforge.inria.fr will be taken off-line in December
> 2020.  This GForge instance hosts source code as tarballs, Subversion
> repos, and Git repos.  Users have been invited to migrate to
> gitlab.inria.fr, which is Git only.  It seems that Software Heritage
> hasn’t archived (yet) all of gforge.inria.fr.  Let’s keep track of the
> situation in this issue.
>
> The following packages have their source on gforge.inria.fr:
>
> scheme@(guile-user)> ,pp packages-on-gforge
> $7 = (#<package [email-masked] gnu/packages/statistics.scm:3931 7f632401a640>
>  #<package [email-masked] gnu/packages/ocaml.scm:295 7f63235eb3c0>
>  #<package [email-masked] gnu/packages/ocaml.scm:357 7f63235eb280>
>  #<package [email-masked] gnu/packages/multiprecision.scm:158 7f632ee3adc0>
>  #<package [email-masked] gnu/packages/maths.scm:2920 7f632d832640>
>  #<package [email-masked] gnu/packages/maths.scm:2774 7f632d832780>
>  #<package [email-masked] gnu/packages/maths.scm:2944 7f632d8325a0>
>  #<package [email-masked] gnu/packages/maths.scm:2873 7f632d8326e0>
>  #<package [email-masked] gnu/packages/algebra.scm:103 7f6323ea1280>
>  #<package [email-masked] gnu/packages/algebra.scm:658 7f6323eb4960>
>  #<package [email-masked] gnu/packages/algebra.scm:322 7f6323eb4dc0>)
>
>
> ‘isl’ (a dependency of GCC) has its source on gforge.inria.fr but it’s
> also mirrored at gcc.gnu.org apparently.
>
> Of these, the following are available on Software Heritage:
>
> scheme@(guile-user)> ,pp archived-source
> $8 = (#<package [email-masked] gnu/packages/ocaml.scm:295 7f63235eb3c0>
>  #<package [email-masked] gnu/packages/ocaml.scm:357 7f63235eb280>
>  #<package [email-masked] gnu/packages/maths.scm:2920 7f632d832640>
>  #<package [email-masked] gnu/packages/maths.scm:2774 7f632d832780>
>  #<package [email-masked] gnu/packages/maths.scm:2944 7f632d8325a0>
>  #<package [email-masked] gnu/packages/maths.scm:2873 7f632d8326e0>
>  #<package [email-masked] gnu/packages/gcc.scm:925 7f632dc82320>
>  #<package [email-masked] gnu/packages/gcc.scm:939 7f632dc82280>)

I ran the code you had attached to the original message and got:

,pp packages-on-gforge
$2 = ()
scheme@(guile-user)> ,pp archived-source
$3 = ()

Closing,

Thank you.

Maxim